KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm upgrade apply phase upload-config all - Upload all the configurations to ConfigMaps

SYNOPSIS

kubeadm upgrade apply phase upload-config all [OPTIONS]

DESCRIPTION

Upload all the configurations to ConfigMaps

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Do not change any state, just output what actions would be performed.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-upgrade-apply-phase-upload-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!